%define         url_ver     %(echo %{version}|cut -d. -f1,2)
%define         subrel      2

Summary:        The mate desktop programs for the MATE GUI desktop environment
Name:           mate-session-manager
Version:        1.6.1
Release:        %mkrel 6
License:        GPLv2+
Group:          Graphical desktop/MATE
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:        startmate
Source2:        materc
Source5:        mate-lightdm.conf
# Add upstream patches which drops deprecated upower support and enables systemd for suspend/hibernate (mga#11814):
# http://git.mate-desktop.org/mate-session-manager/commit/?id=f0b5b1ab78879d64f80117415aacf029359afea5
Patch0:         mate-session-manager-1.6.1-fix-systemd-login1.patch
# Fixes autotool warning:
# http://pkgs.fedoraproject.org/cgit/mate-session-manager.git/plain/mate-session-manager_autotools.patch
Patch1:         mate-session-manager-1.6.1-fdr-autotools.patch
# Fixes systemd session id:
# http://git.mate-desktop.org/mate-session-manager/commit/?id=2725ff7ec27f0158bc3d6bb118e5e5649180e474
Patch2:         mate-session-manager-1.6.1-fix-systemd-session_id.patch
# Add support for autodelay:
# http://git.mate-desktop.org/mate-session-manager/commit/?id=2c5a103b59a53d5fb586572e38d65e7afb5ecb44
Patch3:         mate-session-manager-1.6.1-support_autostart_delay.patch
# Additional to Patch0:
# http://git.mate-desktop.org/mate-session-manager/commit/?id=c38e25ccb5f77ae4bfca9a43e54b4554220bdba9
Patch4:         mate-session-manager-1.6.1-upower-optional.patch
# Upstream: initialize gnome-keyring with proper environment variables:
Patch5:         mate-session-manager-1.6.1-gnome-keyring_env_vars.patch

BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  mate-common
BuildRequires:  xmlto
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRequires:  pkgconfig(pangox)
BuildRequires:  x11-xtrans-devel
BuildRequires:  pkgconfig(mate-settings-daemon)
BuildRequires:  mate-polkit-devel
BuildRequires:  pkgconfig(systemd)

Requires:       mate-polkit
Requires:       mate-settings-daemon
Requires:       desktop-common-data

%description
MATE (yerba maté) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.

The MATE Session Manager restores a set session (group of applications)
when you log into MATE.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x \
           --disable-static \
           --with-gtk=2.0 \
           --disable-upower \
           --with-systemd \
           --disable-schemas-compile \
           --with-default-wm=marco
%make


%install
%makeinstall_std

# wmsession session file
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat << EOF > %{buildroot}%{_sysconfdir}/X11/wmsession.d/10MATE
NAME=MATE
ICON=mate
DESC=MATE Environment
EXEC=%{_bindir}/startmate
SCRIPT:
exec %{_bindir}/startmate
EOF

install -D -m 755 %{_sourcedir}/startmate %{buildroot}%{_bindir}/startmate
install -D -m 755 %{_sourcedir}/materc %{buildroot}%{_sysconfdir}/materc

# remove xsession file, it causes duplicate entries in GDM
rm -rf %{buildroot}%{_datadir}/xsessions/mate.desktop

# Pre-select MATE session in lightdm greeter when booting mageia first time after install (mga#12248)
install -m644 %{_sourcedir}/mate-lightdm.conf -D %{buildroot}%{_sysconfdir}/lightdm/lightdm.conf.d/50-mageia-mate.conf

# remove unused gsettings convert file
rm -fr  %{buildroot}%{_datadir}/MateConf

%find_lang %{name}

%post
if [ "$1" = "2" -a -r /etc/sysconfig/desktop ]; then
  sed -i -e "s|^DESKTOP=Mate$|DESKTOP=MATE|g" /etc/sysconfig/desktop
fi

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/*
%config(noreplace) %{_sysconfdir}/lightdm/lightdm.conf.d/50-mageia-mate.conf
%{_sysconfdir}/materc
%{_bindir}/mate-session
%{_bindir}/startmate
%{_bindir}/mate-session-properties
%{_bindir}/mate-wm
%{_bindir}/mate-session-save
%{_datadir}/mate-session-manager/gsm-inhibit-dialog.ui
%{_datadir}/mate-session-manager/session-properties.ui
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/applications/*
%{_datadir}/glib-2.0/schemas/org.mate.session.gschema.xml
%{_datadir}/doc/mate-session-manager/dbus/mate-session.html
%{_mandir}/man1/*





%changelog
* Tue May 27 2014 tarakbumba <tarakbumba> 1.6.1-6.2.mga4
+ Revision: 627023
- Use proper environment variables for gnome-keyring (mga#12830)
- Remove register.desktop installation. It should be installed by another package. (mga#12695)
- Call register.desktop install to desktop in materc file.

* Sun Jan 19 2014 tarakbumba <tarakbumba> 1.6.1-6.mga4
+ Revision: 567002
- Remove useless mate-wm.desktop
- Do not compile schemes at build time

* Wed Jan 08 2014 tarakbumba <tarakbumba> 1.6.1-5.mga4
+ Revision: 565630
- Ensure that lightdm picks Mate by default. (mga#12248)

* Mon Dec 16 2013 tarakbumba <tarakbumba> 1.6.1-4.mga4
+ Revision: 557202
- Fix materc so it gets bookmarks from gtk3 bookmarks

* Sat Nov 30 2013 tarakbumba <tarakbumba> 1.6.1-3.mga4
+ Revision: 554123
- Remove deprecated upower support
- Fix systemd support for suspend/hibernate (mga#11814)
- Fix autotools warnings
- Fix systemd session id
- Add support for auto delay (fixes 10 caja windows issue on startup)

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531774
- Mageia 4 Mass Rebuild

* Sat Aug 10 2013 diogenese <diogenese> 1.6.1-1.mga4
+ Revision: 465055
- updated sources to 1.6.1

* Wed Jul 31 2013 malo <malo> 1.6.0-1.mga4
+ Revision: 461735
- remove duplicate BuildRequires

  + tarakbumba <tarakbumba>
    - imported package mate-session-manager

